Fork me on GitHub"

# skbio.diversity.alpha.robbins

skbio.diversity.alpha.robbins(counts)

  Calculate Robbins’ estimator for probability of unobserved outcomes.

  State: Experimental as of 0.4.0.

  Robbins’ estimator is defined as:

  \[\frac{F_1}{n+1}\]

  where \(F_1\) is the number of singleton OTUs.

  Parameters:

    counts (1-D array_like, int) – Vector of counts.

  Returns:

    Robbins’ estimate.

  Return type:

    double

  Notes

  Robbins’ estimator is defined in [1]. The estimate computed here is for \(n-1\) counts, i.e. the x-axis is off by 1.

  References

  [1]

  Robbins, H. E (1968). Ann. of Stats. Vol 36, pp. 256-257.